Bug 78824 - UI: Duplicate Shortcut 'S' in Data menu
Summary: UI: Duplicate Shortcut 'S' in Data menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: BSA target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-17 12:01 UTC by Steve Valliere
Modified: 2014-05-28 23:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Valliere 2014-05-17 12:01:43 UTC
Problem description: 
The <Alt+D><S> now only highlights the Data|Sort menu option instead of activing the sort dialog.  After upgrading (from a 4.1.?? version) to 4.2.4.2 there are TWO different options using the 'S' shortcut, making the key sequence fail because <Enter> is now required to activate the desired item.

Steps to reproduce:
1. Open a spreadsheet
2. Press <Alt+D>
3. Press <S>

Current behavior:
The Data menu opens and 'Sort...' is highlighted.

Expected behavior:
The Sort dialog opens.
Operating System: Windows 7
Version: 4.2.4.2 release
Comment 1 m.a.riosv 2014-05-17 21:46:56 UTC
Hi Steve, thanks for reporting.

Reproducible:
Win7x64Ultimate
Version: 4.2.4.2 Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8

I think more recent option for statistics needs a new short-cut.
Comment 2 Commit Notification 2014-05-18 18:18:38 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d7c97a607615c3f176c9f553d1d011e4ee55c1d

fdo#78824: Avoid having two menu entries having the same accelarator.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Kohei Yoshida 2014-05-18 18:18:45 UTC
4.2 backport: https://gerrit.libreoffice.org/9399
Comment 4 Commit Notification 2014-05-19 13:08:22 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e6d5a3d6cd90b9618697cde2ec99390fe6ad5ffe&h=libreoffice-4-2

fdo#78824: Avoid having two menu entries having the same accelarator.


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kohei Yoshida 2014-05-19 13:27:20 UTC
Fixed.
Comment 6 m.a.riosv 2014-05-28 23:44:59 UTC
Thanks Kohei,
verified:
Win7x64
Version: 4.2.5.1 Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de
         also verified with a non English UI (Spanish)

Version: 4.2.6.0.0+ Win-x86@42, Branch:libreoffice-4-2, Time: 2014-05-28_10:43:01
Version: 4.3.0.0.beta1 Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f
Version: 4.4.0.0.alpha0+ Win-x86@39, Branch:master, Time: 2014-05-26_01:36:09